VDB-68992 · CVE-2014-9328 · BID 72372

ClamAV Antivirus up to 0.98.5 Yoda's Crypter File memory corruption

CVSS Meta Temp Score
CVSS is a standardized scoring system to determine possibilities of attacks. The Temp Score considers temporal factors like disclosure, exploit and countermeasures. The unique Meta Score calculates the average score of different sources to provide a normalized scoring system.
Current Exploit Price (≈)
Our analysts are monitoring exploit markets and are in contact with vulnerability brokers. The range indicates the observed or calculated exploit price to be seen on exploit markets. A good indicator to understand the monetary effort required for and the popularity of an attack.
CTI Interest Score
Our Cyber Threat Intelligence team is monitoring different web sites, mailing lists, exploit markets and social media networks. The CTI Interest Score identifies the interest of attackers and the security community for this specific vulnerability in real-time. A high score indicates an elevated risk to be targeted for this vulnerability.
7.0$0-$5k0.00

A vulnerability was found in ClamAV Antivirus up to 0.98.5 (Anti-Malware Software). It has been declared as critical. This vulnerability affects an unknown function of the component Yoda's Crypter File Handler. The manipulation with an unknown input leads to a memory corruption vulnerability. The CWE definition for the vulnerability is CWE-119. The product performs operations on a memory buffer, but it can read from or write to a memory location that is outside of the intended boundary of the buffer. As an impact it is known to affect confidentiality, integrity, and availability. CVE summarizes:

ClamAV before 0.98.6 allows remote attackers to have unspecified impact via a crafted upack packer file, related to a "heap out of bounds condition."

The weakness was disclosed 01/27/2015 by Felix Groebert (evad3rs) with Google Security Team as ClamAV® blog: ClamAV 0.98.6 has been released! as confirmed release notes (Mailing List). The advisory is shared for download at lists.clamav.net. This vulnerability was named CVE-2014-9328 since 12/07/2014. The attack can be initiated remotely. No form of authentication is required for a successful exploitation. There are neither technical details nor an exploit publicly available.

The vulnerability scanner Nessus provides a plugin with the ID 81674 (Amazon Linux AMI : clamav (ALAS-2015-486)), which helps to determine the existence of the flaw in a target environment. It is assigned to the family Amazon Linux Local Security Checks. The commercial vulnerability scanner Qualys is able to test this issue with plugin 167564 (SUSE Enterprise Linux Security update for clamav (SUSE-SU-2015:0298-1)).

Upgrading to version 0.98.6 eliminates this vulnerability. The upgrade is hosted for download at clamav.net. A possible mitigation has been published immediately after the disclosure of the vulnerability.

The vulnerability is also documented in the databases at Tenable (81674), SecurityFocus (BID 72372†), Secunia (SA62536†) and SecurityTracker (ID 1031672†). Additional details are provided at blog.clamav.net.

Productinfo

Type

Vendor

Name

Version

License

CPE 2.3info

CPE 2.2info

CVSSv4info

VulDB CVSS-B Score: 🔍
VulDB CVSS-BT Score: 🔍
VulDB Vector: 🔍
VulDB Reliability: 🔍

CVSSv3info

VulDB Meta Base Score: 7.3
VulDB Meta Temp Score: 7.0

VulDB Base Score: 7.3
VulDB Temp Score: 7.0
VulDB Vector: 🔍
VulDB Reliability: 🔍

CVSSv2info

AVACAuCIA
💳💳💳💳💳💳
💳💳💳💳💳💳
💳💳💳💳💳💳
VectorComplexityAuthenticationConfidentialityIntegrityAvailability
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock

VulDB Base Score: 🔍
VulDB Temp Score: 🔍
VulDB Reliability: 🔍

NVD Base Score: 🔍

Exploitinginfo

Class: Memory corruption
CWE: CWE-119
CAPEC: 🔍
ATT&CK: 🔍

Local: No
Remote: Yes

Availability: 🔍
Status: Not defined

EPSS Score: 🔍
EPSS Percentile: 🔍

Price Prediction: 🔍
Current Price Estimation: 🔍

0-Dayunlockunlockunlockunlock
Todayunlockunlockunlockunlock

Nessus ID: 81674
Nessus Name: Amazon Linux AMI : clamav (ALAS-2015-486)
Nessus File: 🔍
Nessus Risk: 🔍
Nessus Family: 🔍

OpenVAS ID: 801946
OpenVAS Name: Fedora Update for clamav FEDORA-2015-1437
OpenVAS File: 🔍
OpenVAS Family: 🔍

Qualys ID: 🔍
Qualys Name: 🔍

Threat Intelligenceinfo

Interest: 🔍
Active Actors: 🔍
Active APT Groups: 🔍

Countermeasuresinfo

Recommended: Upgrade
Status: 🔍

Reaction Time: 🔍
0-Day Time: 🔍
Exposure Time: 🔍

Upgrade: Antivirus 0.98.6

Timelineinfo

12/07/2014 🔍
01/27/2015 +51 days 🔍
01/27/2015 +0 days 🔍
01/29/2015 +2 days 🔍
01/30/2015 +1 days 🔍
02/01/2015 +2 days 🔍
02/02/2015 +1 days 🔍
02/03/2015 +1 days 🔍
03/08/2022 +2590 days 🔍

Sourcesinfo

Advisory: ClamAV® blog: ClamAV 0.98.6 has been released!
Researcher: Felix Groebert (evad3rs)
Organization: Google Security Team
Status: Confirmed
Confirmation: 🔍

CVE: CVE-2014-9328 (🔍)
SecurityTracker: 1031672 - Clam AntiVirus Heap Overflows Have Unspecified Impact
SecurityFocus: 72372 - ClamAV CVE-2014-9328 Multiple Heap Buffer Overflow Vulnerabilities
Secunia: 62536 - ClamAV Multiple Vulnerabilities, Highly Critical

Misc.: 🔍

Entryinfo

Created: 02/02/2015 11:45 AM
Updated: 03/08/2022 09:29 AM
Changes: 02/02/2015 11:45 AM (59), 07/09/2017 08:16 AM (24), 03/08/2022 09:29 AM (3)
Complete: 🔍
Cache ID: 44:169:40

Discussion

No comments yet. Languages: en.

Please log in to comment.

Want to stay up to date on a daily basis?

Enable the mail alert feature now!